=== dashboard/documentation/Makefile ===
all:
	dot -Tpng -o states.png states.dot
