=== manage/documentation/Makefile ===
all:
	dot -Tpng -o routes.png routes.dot
