=== debian/control ===
Source: calamari-clients
Section: misc
Priority: extra
Homepage: http://www.inktank.com/
Maintainer: Inktank <info@intank.com>
Standards-Version: 3.9.2
Build-Depends: ruby1.9.1, ruby1.9.1-dev, make, git

Package: calamari-clients
Architecture: all
Depends: calamari-server
Description: Inktank Calamari user interface
